summaryrefslogtreecommitdiff
path: root/common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common.sh')
-rw-r--r--common.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/common.sh b/common.sh
index 62af7fa..93d19ed 100644
--- a/common.sh
+++ b/common.sh
@@ -20,6 +20,9 @@ add-unit() (
install -d "${1%/*}"
base="$(sed 's/@[^.]*\./@./' <<<"${1##*/}")"
case "$1" in
+ /*)
+ error 'add-unit: path is absolute, not relative to $pkgdir: %s' "$1"
+ exit 1;;
etc/systemd/system/*)
srcs=(
"etc/systemd/system/${1##*/}"